Package io.papermc.paper.event.entity

# Class WardenAngerChangeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
io.papermc.paper.event.entity.WardenAngerChangeEvent

All Implemented Interfaces:
  `Cancellable`

public class WardenAngerChangeEvent extends EntityEvent implements Cancellable
Called when a Warden's anger level has changed due to another entity.

If the event is cancelled, the warden's anger level will not change.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`WardenAngerChangeEvent(@NotNull Warden warden, @Nullable Entity target, int oldAnger, int newAnger)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Warden`
`getEntity()`
Returns the Entity involved in this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`int`
`getNewAnger()`
Gets the new anger level resulting from this event.
`int`
`getOldAnger()`
Gets the old anger level.
`@Nullable Entity`
`getTarget()`
Gets the entity (if any) which triggered this anger update.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancelled)`
Sets the cancellation state of this event.
`void`
`setNewAnger(int newAnger)`
Sets the new anger level resulting from this event.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WardenAngerChangeEvent

public WardenAngerChangeEvent(@NotNull @NotNull Warden warden, @Nullable @Nullable Entity target, int oldAnger, int newAnger)

## Method Details

### getTarget

@Nullable public @Nullable Entity getTarget()
Gets the entity (if any) which triggered this anger update.

Returns:
  triggering entity, or null

### getOldAnger

public int getOldAnger()
Gets the old anger level.

Returns:
  old anger level
See Also:
  - `Warden.getAnger(Entity)`

### getNewAnger

public int getNewAnger()
Gets the new anger level resulting from this event.

Returns:
  new anger level
See Also:
  - `Warden.getAnger(Entity)`

### setNewAnger

public void setNewAnger(int newAnger)
Sets the new anger level resulting from this event.

The anger of a warden is capped at 150.

Parameters:
  `newAnger` - the new anger level, max 150
Throws:
  `IllegalArgumentException` - if newAnger is greater than 150
See Also:
  - `Warden.setAnger(Entity, int)`

### getEntity

@NotNull public @NotNull Warden getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancelled)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancelled` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()